local cops_enabled = false
local civs_enabled = true	

local hat_unit = tweak_data.blackmarket.masks.doctor.unit

local this_enabled
local function apply_masks(self)
	local hat = hat_unit and Idstring(hat_unit)
	if this_enabled and hat then 
	
		local function behat()
			local head = Idstring("Head")
			if alive(self._unit) then 
				if head and self._unit:get_object(head) and not self._headwear_unit then
					self._headwear_unit = World:spawn_unit(hat,Vector3(),Rotation())
					self._unit:link(head,self._headwear_unit,self._headwear_unit:orientation_object():name())
				end
			end
		end
		
		if not managers.dyn_resource:is_resource_ready(Idstring("unit"),hat,managers.dyn_resource.DYN_RESOURCES_PACKAGE) then 
			managers.dyn_resource:load(Idstring("unit"), hat, managers.dyn_resource.DYN_RESOURCES_PACKAGE,behat)
			return
		end
		
		behat()
	end
end

if RequiredScript == "lib/units/enemies/cop/copbase" then 
	this_enabled = cops_enabled
	Hooks:PostHook(CopBase,"_chk_spawn_gear","covid19_cops",apply_masks)
elseif RequiredScript == "lib/units/civilians/civilianbase" then 
	this_enabled = civs_enabled
	Hooks:PostHook(CivilianBase,"post_init","covid19_civs",apply_masks)
end

